package cn.aid.apiweb.service.auth;

import cn.aid.common.utils.api.model.APIResult;
import cn.aid.data.api.auth.dto.InnerAuthDTO;
import cn.aid.data.api.auth.vo.AuthResult;
import org.springframework.cloud.netflix.feign.FeignClient;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

@FeignClient(name = "${service.product.name}")
public interface AuthClient {

    // 鉴权
    @RequestMapping(value = "/auth", method = RequestMethod.POST)
    APIResult<AuthResult> auth(@RequestBody InnerAuthDTO authDTO);

}
