package cn.aid.userservice.controller;

import cn.aid.common.utils.api.model.APIResult;
import cn.aid.data.api.user.dto.EventLogDTO;
import cn.aid.data.api.user.entity.EventLog;
import cn.aid.userservice.service.EventLogService;
import org.apache.commons.lang.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.ArrayList;
import java.util.List;

@RestController
@RequestMapping(value = "/event")
public class EventLogController {

    @Autowired
    private EventLogService eventLogService;

    @RequestMapping(method = RequestMethod.POST)
    public APIResult<Boolean> addLog(@RequestBody EventLogDTO eventLogDTO) {
        return eventLogService.addLog(eventLogDTO);
    }

}
