package cn.aid.userservice.repository;

import cn.aid.common.utils.enums.BaseStatusEnum;
import cn.aid.common.utils.jpa.BasicJpaRepository;
import cn.aid.data.api.user.entity.Role;
import org.springframework.stereotype.Repository;

import java.util.Collection;
import java.util.EnumSet;
import java.util.List;


@Repository
public interface RoleRepository extends BasicJpaRepository<Role, String> {

    List<Role> findByIdIn(Collection<String> ids);

    List<Role> findByIdInAndStatus(Collection<String> ids, BaseStatusEnum status);

    List<Role> findByIdInAndStatusIn(Collection<String> ids, EnumSet<BaseStatusEnum> status);

}
