package cn.aid.cmsweb.service.user;

import cn.aid.data.api.user.entity.UserDevice;
import org.springframework.cloud.netflix.feign.FeignClient;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@FeignClient(name = "${service.user.name}")
public interface UserDeviceService
{
    @RequestMapping(value = "/userDevice/list/{uid}", method = RequestMethod.GET)
    List<UserDevice> findByCondition(@PathVariable("uid") String uid);
}
